﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace wfaTestHeaderCombobox
{
    public partial class Form1 : Form
    {
        /// <summary>
        /// Our creation filter descendant
        /// </summary>
        private ComboboxOnHeaderCreationFilter _filter;

        /// <summary>
        /// Form .ctor
        /// </summary>
        public Form1()
        {
            InitializeComponent();

            ugGrid.DataSource = GetGridDataSource();
            _filter = new ComboboxOnHeaderCreationFilter(GetDataSource(), this.ugGrid);
            ugGrid.CreationFilter = _filter;
        }

        /// <summary>
        /// This method creates data table, which will use as UltraGrid datasource
        /// </summary>
        /// <returns>Data table</returns>
        private DataTable GetGridDataSource()
        {
            DataTable table = new DataTable();

            table.Columns.Add("No", typeof(Int32));
            table.Columns.Add("ClientId", typeof(Int32));
            table.Columns.Add("ClientName", typeof(String));
            table.Columns.Add("Account", typeof(Double));

            table.Rows.Add(new Object[] { 1, 1200, "Stive Jobs", 4000.45});
            table.Rows.Add(new Object[] { 2, 1300, "Bill Gates", 5000.15 });
            table.Rows.Add(new Object[] { 3, 1400, "Larry Ellison", 3400.15 });
            table.Rows.Add(new Object[] { 4, 1500, "Jonathan Schwartz", 4450.90 });
            table.Rows.Add(new Object[] { 5, 1600, "Steven Ballmer", 4789.05 });

            return table;
        }

        /// <summary>
        /// This method creates data table, which will use as header's combobox datasource
        /// </summary>
        /// <returns>Data table</returns>
        private DataTable GetDataSource()
        {
            DataTable table = new DataTable();

            table.Columns.Add("Name", typeof(String));
            table.Columns.Add("Code", typeof(Int32));

            table.Rows.Add(new Object[] {"RUR", 1});
            table.Rows.Add(new Object[] { "USD", 840 });
            table.Rows.Add(new Object[] { "EUR", 978 });
            table.Rows.Add(new Object[] { "GBP", 826 });
            table.Rows.Add(new Object[] { "PLN", 985 });

            return table;
        }
    }
}
